获取代理返佣明细 (代理账户)
请求示例
get /api/v3/rebate/affiliate/commission/detail?timestamp={{timestamp}}&signature={{signature}}
返回示例
{
"success": true,
"code": 0,
"message": null,
"data": {
"pageSize": 10,
"totalCount": 5,
"totalPage": 1,
"currentPage": 1,
"totalCommissionUsdtAmount": "0.0011",
"totalTradeUsdtAmount": "281.8096",
"resultList": [
{
"type": 2,
"sourceType": 2,
"state": 2,
"date": 1689264000000,
"uid": "17875073",
"rate": 0.1,
"symbol": "USDT",
"takerAmount": "170.49326",
"makerAmount": "0",
"amountCurrency": "USDT",
"usdtAmount": "170.49326",
"commission": "0.00085246",
"currency": "USDT"
}
]
}
}
HTTP请求
- GET
/api/v3/rebate/affiliate/commission/detail
接口权限要求: 账户读 / SPOT_ACCOUNT_R
权重(IP): 1
请求参数
| 参数名 | 数据类型 | 是否必须 | 说明 |
|---|---|---|---|
| startTime | long | 否 | Unix毫秒时间戳,开始时间(佣金、入金数据时间) |
| endTime | long | 否 | Unix毫秒时间戳,截止时间(佣金、入金数据时间) |
| inviteCode | string | 否 | 邀请码 |
| page | int | 否 | 页数 |
| pageSize | int | 否 | 页面内容,不传默认10 |
| type | int | 否 | 返佣类型,1:现货、2:合约、3:ETF |
| timestamp | long | 是 | 时间戳 |
| signature | string | 是 | 签名 |
返回参数
| 参数名 | 类型 | 说明 |
|---|---|---|
| totalCommissionUsdtAmount | string | 总佣金 |
| totalTradeUsdtAmount | string | 总交易量 |
| type | int | 返佣类型,1:现货、2:合约、3:ETF |
| sourceType | int | 1:直客、2:子代理 |
| state | int | 返佣状态 |
| date | long | 交易日期 |
| uid | string | 用户uid |
| rate | string | 返佣比例 |
| symbol | string | 交易对 |
| takerAmount | string | taker金额 |
| makerAmount | string | maker金额 |
| amountCurrency | string | 金额币种 |
| usdtAmount | string | usdt金额 |
| commission | string | 返佣金额 |
| currency | string | 返佣币种 |
若startTime和endTime均未发送,返回T-7~T的日期(近8天內日期)的数据,type不填则返回全部种类数据。